----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:15:28 05/30/2012 
-- Design Name: 
-- Module Name:    Filter - Verhalten 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Filter is
   port ( clk        : in      std_logic; -- Clock Eingangssignal
          din     	: in 	  std_logic_vector(15 downto 0); -- Signal vom A/D Wandler
          dout       : out 	  std_logic_vector(13 downto 0) -- Signal zum D/A Wandler
		   );
end Filter;

architecture Verhalten of Filter is

signal rfd          : std_logic; -- Daten schreiben fr fir_compiler
signal rdy          : std_logic; -- Daten fertig berechnet fr fir_compiler

component fir_compiler_v5_0
	port (
	clk: in std_logic;
	rfd: out std_logic;
	rdy: out std_logic;
	din: in std_logic_vector(15 downto 0);
	dout: out std_logic_vector(13 downto 0));
end component;

begin

FIR1 : fir_compiler_v5_0
		port map (
			clk => clk,
			rfd => rfd,
			rdy => rdy,
			din => din,
			dout => dout
			);

end Verhalten;

