----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:31:15 05/30/2012 
-- Design Name: 
-- Module Name:    Filter_Testbench - Verhalten 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity Filter_Testbench is
 generic(PERIODE48MHZHALBE:time:=10.41666667 ns);
end Filter_Testbench;

architecture Verhalten_Testbench of Filter_Testbench is
 component Filter
  port (
   CLK : in std_logic;
	DIN : in std_logic_vector(15 downto 0);
	DOUT: out std_logic_vector(13 downto 0)
	     );
  end component;
  signal CLK : std_logic;
  signal X : std_logic_vector(15 downto 0);
  signal y : std_logic_vector(13 downto 0);
  for all: Filter use entity work.Filter(Verhalten);
begin

 CLOCK: process
 begin
  CLK <= '0'; wait for PERIODE48MHZHALBE;
  CLK <= '1'; wait for PERIODE48MHZHALBE;
 end process CLOCK;
 
 X <= "0000000000000001", "0000000000000011" after 20 us,"0001000000000011" after 40 us,"0000000001000011" after 60 us,
  "1000000000000001" after 80 us;
 CUT: Filter --Circuit Under Test
  port map (
  CLK => CLK,
  DIN => X,
  DOUT => Y
           );
  
end Verhalten_Testbench;

